# Retrieve an event

`GET https://api.cademi.com.br/api/v3/events/{event_id}`

Operation ID: `events.get` · API v3

Retrieves a public event by its public ID.

Malformed IDs, internal event types, and events that are not accessible with the current credentials all return `404 Not Found`.

Required permissions: `events.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `event_id` | path | string | yes |  |

## Responses

### 200

Returns the requested event.

Body: `data`: Event.

Fields of Event:

| Field | Type | Required | Description |
|---|---|---|---|
| `correlation_id` | string | yes |  |
| `data` | object | yes |  |
| `id` | string | yes |  |
| `object` | string, one of `event` | yes |  |
| `occurred_at` | string (date-time) | yes |  |
| `request_id` | string or null | yes |  |
| `resource` | object | yes |  |
| `type` | string | yes |  |
| `version` | integer | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The event was not found or is not accessible with the current credentials.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
